<html>
    <body>

      <h1>Top Secret - Entschlüsseln </h1>

      <textarea id="in" style="width:100%;height:250px;" onkeyup="ausgabe(event)"></textarea>

    <button  onclick="loeschen()"> Löschen</button>


    <div style="opacity:0.7;width:100%;height:auto;background:lightgray;margin-bottom:10px;padding:5px;overflow:auto" id="out1">
    </div>
        

    
    <div style="width:100%;height:auto;background:black;color:white;padding:5px;overflow:auto" id="out2">


    </div>
  
      <script>
      
           function frequency(arr) {
         var result = {};
         for (var pos in arr) {
         var a = arr[pos];
          console.log(a);
           if (!result[a]) {result[a]=0;}
           result[a]++
         }
         
         var keysSorted = Object.keys(result).sort(function(a,b){return result[a]-result[b]})
         var v = {}
         for (var pos in keysSorted) {
         var k = keysSorted[pos];
          v[k]= result[k];
         }
         
         return v;
      }
      

       function loeschen() {
        document.getElementById("in").value = "";
        document.getElementById("out1").innerHTML = "";
        document.getElementById("out2").innerHTML = "";
        document.getElementById("in").focus()
       }


          function tercespot(buchstabe) {
           
           switch(buchstabe) {
                       

              case '651':  return 'a';            
              case '550':  return 'b';
              case '447':  return 'c';
              case '344':  return 'd';            
              case '243':  return 'e';
              case '140':  return 'f';
              case '39':  return 'g';
              case '936':  return 'h';
              case '835':  return 'i';
              case '732':  return 'j';
              case '631':  return 'k';
              case '528':  return 'l';
              case '427':  return 'm';
              case '324':  return 'n';
              case '223':  return 'o';
              case '120':  return 'p';
              case '19':  return 'q';
              case '916':  return 'r';
              case '815':  return 's';
              case '712':  return 't';
              case '611':  return 'u';
              case '58':  return 'v';
              case '47':  return 'w';
              case '34':  return 'x';
              case '23':  return 'y';
              case '11':  return 'z';
              case '13':  return '1';
              case '24':  return '2';
              case '37':  return '3';
              case '48':  return '4';
              case '511':  return '5';
              case '612':  return '6';
              case '715':  return '7';
              case '816':  return '8';
              case '919':  return '9';
              case '20':  return '0';
              case '!':  return '!';
              case '?':  return '?';
              case '-':  return '-';
              case '999':  return '~';
              case '.':  return '.';
              case ',':  return ',';
        
            
             

           }


         } 
      
        function ausgabe(event) {
         
         var text = document.getElementById("in").value.replaceAll("\n"," ");

         var zerhackt = text.split(/\s/);

         var ts  = zerhackt.map(b => tercespot(b));

        var fs = frequency(zerhackt);
         console.log(zerhackt);
         console.log(ts);
         console.log(fs);


         

            document.getElementById("out1").innerHTML = JSON.stringify(fs);
         document.getElementById("out2").innerHTML = ts.join(" ");

        }

      </script>


    </body>
</html>